package com.yifu.cloud.plus.v1.yifu.order.util;

import com.yifu.cloud.plus.v1.yifu.common.core.constant.ValidityConstants;
import com.yifu.cloud.plus.v1.yifu.common.core.util.Common;

/**
 * @author licancan
 * @description 校验工具类
 * @date 2022-08-30 10:30:16
 */
public class ValidityUtil {

	/**
	 * 验证字符串 最多200位
	 *
	 * @author licancan
	 * @param str
	 * @return {@link boolean}
	 */
	public static boolean validate2048(final String str){
		if(Common.isEmpty(str)){
			return Boolean.FALSE;
		}
		return str.matches(ValidityConstants.PATTERN_2048) ;
	}
}
